using System;
using System.Text.RegularExpressions;
using System.Windows.Data;

namespace WPF.Common.Converters
{
    /// <summary>
    /// WPF/Silverlight ValueConverter : does Value match the regular expression (=Parameter) ?
    /// </summary>
#if !SILVERLIGHT
    [ValueConversion(typeof(string), typeof(bool), ParameterType = typeof(string))]
#endif
    public class IsMatchConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if ((value == null) || (parameter == null))
            {
                return false;
            }

            Regex regex = new Regex((string)parameter);
            return regex.IsMatch((string)value);
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotSupportedException();
        }
    }
}